## vamp-plugin-sdk-dmo 2.10.0

=== debian/changelog ===
vamp-plugin-sdk-dmo (1:2.10.0-dmo2) unstable; urgency=medium

  * Rename libraries for 64-bit time_t transition.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 26 Jun 2024 16:11:02 +0200

vamp-plugin-sdk-dmo (1:2.10.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 26 May 2020 23:12:26 +0200

vamp-plugin-sdk-dmo (1:2.9.0-dmo2) unstable; urgency=medium

  * Changes libjs-jquery dependency by node-jquery

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 May 2020 11:22:48 +0200

vamp-plugin-sdk-dmo (1:2.9.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 13 Nov 2019 14:16:02 +0100

vamp-plugin-sdk-dmo (1:2.8.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Feb 2019 15:22:53 +0100

vamp-plugin-sdk-dmo (1:2.7.1-dmo2) unstable; urgency=medium

  * Fix vamp-examples installation.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 15 Nov 2017 09:28:37 +0100

vamp-plugin-sdk-dmo (1:2.7.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 07 Mar 2017 09:26:55 +0100

vamp-plugin-sdk-dmo (1:2.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 25 Feb 2017 08:37:37 +0100

vamp-plugin-sdk-dmo (1:2.6-dmo3) unstable; urgency=medium

  * Add v5 to libvamp-sdk2 and libvamp-hostsdk3 packages.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Aug 2015 18:54:30 +0200

vamp-plugin-sdk-dmo (1:2.6-dmo2) unstable; urgency=medium

  * Build with GCC 5.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 02 Aug 2015 12:01:04 +0200

vamp-plugin-sdk-dmo (1:2.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Jun 2015 17:43:25 +0200

vamp-plugin-sdk-dmo (1:2.5-dmo6) unstable; urgency=medium

  * Really fix .pc files.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 08 Oct 2014 11:03:23 +0200

vamp-plugin-sdk-dmo (1:2.5-dmo5) unstable; urgency=medium

  * Add CXXFLAGS to dh_auto_configure call to add -fPIC link option.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 06 Mar 2014 09:25:07 +0100

vamp-plugin-sdk-dmo (1:2.5-dmo4) unstable; urgency=medium

  * Added -dmo to upstream tarball.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 06 Mar 2014 09:05:13 +0100

vamp-plugin-sdk (1:2.5-dmo3) unstable; urgency=medium

  * Fix path in .pc files.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 28 Feb 2014 08:38:24 +0100

vamp-plugin-sdk (2.5-dmo2) unstable; urgency=low

  * Add multi-arch support.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 May 2013 11:00:34 +0200

vamp-plugin-sdk (2.5-dmo1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 09 May 2013 14:58:46 +0200

vamp-plugin-sdk (2.4-dmo1) unstable; urgency=low

  * New upstream release.
  * Upload to my repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 04 Oct 2012 11:01:58 +0200

vamp-plugin-sdk (2.1-1) unstable; urgency=low

  * New upstream release (Closes: #560337)
  * Added skeleton/ to vamp-plugin-sdk
  * Added vamp-rdf-tempate-generator to vamp-plugin-sdk
  * Added manpage for vamp-rdf-template-generator TODO
  * Don't run `$(MAKE) test` if `nocheck` is present in DEB_BUILD_OPTIONS.
    This involves running several $(MAKE)s with specific targets instead
    of one generic run. TODO: check Makefile for new targets on every new
    upstream release.
  * Fixed typo in debian/control, libvamp-sdk2
  * Fixed debian/vamp-plugin-sdk.examples so source code for example plugins
    is really installed now
  * Added #include <cstdio> to examples/FixedTempoEstimator.cpp to build
    with GCC 4.3 (Closes: #562653)
  * Provide a doc-base control file in vamp-plugin-sdk-doc
  * Bumped Standards-Version to 3.8.3

 -- Székelyi Szabolcs <cc@mail.3d.hu>  Wed, 23 Dec 2009 19:15:05 +0100

vamp-plugin-sdk (2.0-1) unstable; urgency=low

  * New upstream release
  * Adopted to new upstream build process (GNU Autoconf)
  * Bumped Standards-Version to 3.8.1
  * Renamed libvamp-sdk1 to libvamp-sdk2
  * Renamed libvamp-hostsdk2 to libvamp-hostsdk3

 -- Székelyi Szabolcs <cc@mail.3d.hu>  Thu, 17 Apr 2009 13:03:58 +0200

vamp-plugin-sdk (1.3-1) unstable; urgency=low

  * New upstream release
  * Reverted changes made to the source in 1.2-1.1 (fixed in upstream)
  * Moved doxygenerated documentation into a separate Architecture: all
    package (vamp-plugin-sdk-doc) (required giving -a to dh_* in
    binary-arch and -i in binary-indep)
  * debian/rules: removed hardcoded version numbers from get-orig-source,
    relpaced with dynamic upstream version number (determined from
    debian/changelog)
  * debian/control: added Homepage: control field
  * Makefile: made adjustments so vamp-simple-host is now dynamically
    linked against libraries from libvamp-hostsdk2 and example plugins use
    libvamp-sdk1

 -- Székelyi Szabolcs <cc@mail.3d.hu>  Fri, 01 Aug 2008 16:55:36 +0200

vamp-plugin-sdk (1.2-1.1) unstable; urgency=high

  * NMU to fix build with gcc 4.3 (Closes: #482571, #483321)
    - vamp-sdk/PluginAdapter.cpp: #include <cstring> and <cstdlib>
    - vamp-sdk/PluginHostAdapter.cpp: <cstdlib>
    - vamp-sdk/hostext/PluginLoader.cpp: <cstring>
    - host/vamp-simple-host.cpp: <cstring> and <cstdlib>
  * Bump Standards-Version to 3.8.0

 -- Albin Tonnerre <albin.tonnerre@gmail.com>  Sun, 15 Jun 2008 22:22:53 +0200

vamp-plugin-sdk (1.2-1) unstable; urgency=low

  * New upstream release

 -- Székelyi Szabolcs <cc@mail.3d.hu>  Tue, 15 Apr 2008 19:05:36 +0200

vamp-plugin-sdk (1.1b-1) unstable; urgency=low

  * Initial release (Closes: #463754)


