=== debian/control ===
Source: vamp-plugin-sdk-dmo
Section: libs
Priority: optional
Homepage: https://www.vamp-plugins.org/
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Rules-Requires-Root: no
Standards-Version: 4.7.0
Build-Depends-Indep: doxygen, graphviz
Build-Depends: debhelper-compat (= 13), libsndfile1-dev, docbook-to-man, pkgconf,
 quilt,

Package: vamp-plugin-sdk
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libvamp-sdk2t64 (= ${binary:Version}), libvamp-hostsdk3t64 (= ${binary:Version})
Description: audio analysis and feature extraction plugins (SDK)
 Vamp is an audio processing plugin system for plugins that extract
 descriptive information from audio data - typically referred to as
 audio analysis plugins or audio feature extraction plugins.
 .
 Just like an audio effects plugin (such as a VST), a Vamp plugin is a
 binary module that can be loaded up by a host application and fed
 audio data. However, unlike an effects plugin, a Vamp plugin outputs
 not processed audio but some sort of symbolic information. Typical
 things that a Vamp plugin might calculate include the locations of
 moments such as note onset times, visual representations of the audio
 such as histograms, or curve data such as power or fundamental
 frequency.
 .
 Hosts using Vamp plugins include Audacity and Sonic Visualiser.
 .
 This package contains C and C++ header files for developing Vamp
 plugins and hosts as well as source code of example plugins and a
 simple host and also a utility to generate Vamp plugin RDF templates.

Package: libvamp-sdk2t64
Architecture: any
X-Time64-Compat: libvamp-sdk2v5
Provides: ${t64:Provides},
Multi-Arch: same
Replaces: libvamp-sdk2, libvamp-sdk2v5,
Conflicts: libvamp-sdk2, libvamp-sdk2v5 (<< ${source:Version}),
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: helper library for Vamp plugins written in C++
 Vamp is an audio processing plugin system for plugins that extract
 descriptive information from audio data - typically referred to as
 audio analysis plugins or audio feature extraction plugins.
 .
 If you want to develop Vamp plugins in C++, you should use this
 library to expose the official C API to hosts.

Package: libvamp-hostsdk3t64
Architecture: any
X-Time64-Compat: libvamp-hostsdk3v5
Provides: ${t64:Provides},
Multi-Arch: same
Replaces: libvamp-hostsdk3, libvamp-hostsdk3v5,
Conflicts: libvamp-hostsdk3, libvamp-hostsdk3v5 (<< ${source:Version}),
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: helper library for Vamp hosts written in C++
 Vamp is an audio processing plugin system for plugins that extract
 descriptive information from audio data - typically referred to as
 audio analysis plugins or audio feature extraction plugins.
 .
 This library contains handy classes for using Vamp plugins from
 hosts written in C++.

Package: vamp-examples
Architecture: any
Section: sound
Breaks: vamp-plugin-sdk (<< 2.4-dmo1~)
Replaces: vamp-plugin-sdk (<< 2.4-dmo1~)
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: example Vamp plugins host and RDF generator
 Vamp is an audio processing plugin system for plugins that extract
 descriptive information from audio data - typically referred to as
 audio analysis plugins or audio feature extraction plugins.
 .
 This package contains the following example plugins:
 .
 Zero Crossings calculates the positions and density of zero-crossing points
 in an audio waveform.
 .
 Spectral Centroid calculates the centre of gravity of the frequency domain
 representation of each block of audio.
 .
 Simple Power Spectrum calculates a power spectrum from the input audio.
 Actually, it doesn't do any work except calculating power from a cartesian
 complex FFT output. The work of calculating this frequency domain output
 is done for it by the host or host SDK; the plugin just needs to declare
 that it wants frequency domain input. This is the simplest of the example
 plugins.
 .
 Amplitude Follower is an implementation of SuperCollider's
 amplitude-follower algorithm as a simple Vamp plugin.
 .
 Simple Percussion Onset Detector: estimates the locations of percussive
 onsets using a simple method described in "Drum Source Separation using
 Percussive Feature Detection and Spectral Modulation" by Dan Barry, Derry
 Fitzgerald, Eugene Coyle and Bob Lawlor, ISSC 2005.
 .
 Simple Fixed Tempo Estimator: calculates a single beats-per-minute value
 which is an estimate of the tempo of a piece of music that is assumed to be
 of fixed tempo, using autocorrelation of a frequency domain energy rise
 metric. It has several outputs that return intermediate results used in
 the calculation, and may be a useful example of a plugin having several
 outputs with varying feature structures.
 .
 Also included is a simple host that can enumerate plugins, list their
 features, and process an audio file.

Package: vamp-plugin-sdk-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, node-jquery
Description: audio analysis and feature extraction plugins (API documentation)
 Vamp is an audio processing plugin system for plugins that extract
 descriptive information from audio data - typically referred to as
 audio analysis plugins or audio feature extraction plugins.
 .
 This package contains API specification for Vamp plugins and
 documentation for libraries provided by the libvamp-hostsdk3v5 and
 libvamp-sdk2v5 packages.
