=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=/usr
export LIBDIR=lib/$(DEB_HOST_MULTIARCH)

%:
	dh $@ --with quilt

override_dh_auto_build:
	dh_auto_build -- -j1

override_dh_install-arch:
	docbook-to-man debian/vamp-simple-host.sgml > vamp-simple-host.1
	docbook-to-man debian/vamp-rdf-template-generator.sgml > vamp-rdf-template-generator.1

	dh_install

override_dh_auto_install:
	dh_auto_install

	find debian/tmp -name '*.la' -delete

override_dh_install-indep:
	doxygen build/Doxyfile

	dh_install -i

override_dh_installdocs-indep:
	dh_installdocs -i -pvamp-plugin-sdk-doc --doc-main-package=vamp-plugin-sdk-doc

	dh_link -pvamp-plugin-sdk-doc /usr/share/nodejs/jquery/dist/jquery.js \
	usr/share/doc/vamp-plugin-sdk-doc/html/jquery.js

override_dh_clean:
	dh_clean vamp-simple-host.1 vamp-rdf-template-generator.1

	rm -rf doc
