=== debian/watch ===
version=4

opts=dversionmangle=s/~repack.*// \
https://code.soundsoftware.ac.uk/projects/vamp-plugin-sdk/files \
/attachments/download/\d+/vamp-plugin-sdk-([\d.]+)\.tar\.gz

#https://code.soundsoftware.ac.uk/projects/vamp-plugin-sdk/files \
#/attachments/download/\d+/vamp-plugin-sdk-([\d.]+)@ARCHIVE_EXT@
